# Save old config files:
# if [ ! -L etc/X11/tdm ]; then
#   if [ -d etc/X11/tdm ]; then
#     mkdir -p etc/trinity/tdm
#     cp -a etc/X11/tdm/* etc/trinity/tdm
#     rm -rf etc/X11/tdm
#     ( cd etc/X11 ; ln -sf /etc/trinity/tdm tdm )
#   fi
# elif [ ! -e etc/X11/tdm ]; then
#   mkdir -p etc/X11
#   ( cd etc/X11 ; ln -sf /etc/trinity/tdm tdm )
# fi

# Use new xwmconfig but save the original
mv /usr/bin/xwmconfig /usr/bin/xwmconfig.orig
mv /usr/bin/xwmconfig.new /usr/bin/xwmconfig

#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/trinity/tdm/tdmrc.new
config etc/trinity/tdm/backgroundrc.new
config etc/X11/xinit/xinitrc.trinity.new
config etc/profile.d/trinity.sh.new
# config etc/profile.d/trinity.csh.new
config /usr/bin/starttde.new

if [ -x /sbin/ldconfig ]; then
  /sbin/ldconfig 2> /dev/null
fi
( cd usr/bin ; rm -rf kinfocenter )
( cd usr/bin ; ln -sf kcontrol kinfocenter )
( cd usr/share/doc/tde/HTML/en/khelpcenter/faq ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/faq ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/glossary ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/glossary ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/khelpcenter ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/khelpcenter ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/quickstart ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/quickstart ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/userguide ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/userguide ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/visualdict ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/visualdict ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kate ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kate ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/arts ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/arts ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/background ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/background ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/bell ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/bell ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/cache ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/cache ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/clock ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/clock ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/colors ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/colors ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/cookies ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/cookies ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/crypto ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/crypto ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/desktop ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/desktop ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/desktopbehavior ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/desktopbehavior ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/ebrowsing ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/ebrowsing ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/email ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/email ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/energy ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/energy ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/filemanager ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/filemanager ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/filetypes ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/filetypes ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/fonts ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/fonts ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/helpindex.html ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/helpindex.html ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/icons ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/icons ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmaccess ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmaccess ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmcss ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmcss ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmfontinst ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmfontinst ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmkonsole ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmkonsole ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmlaunch ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmlaunch ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmnotify ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmnotify ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmsmserver ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmsmserver ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmstyle ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmstyle ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmtaskbar ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmtaskbar ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/keyboard ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/keyboard ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/keys ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/keys ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/khtml ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/khtml ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/language ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/language ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/mouse ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/mouse ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/netpref ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/netpref ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/panel ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/panel ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/panelappearance ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/panelappearance ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/passwords ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/passwords ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/performance ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/performance ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/proxy ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/proxy ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/screensaver ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/screensaver ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/smb ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/smb ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/spellchecking ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/spellchecking ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/tdm ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/tdm ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/twindecoration ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/twindecoration ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/useragent ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/useragent ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/windowmanagement ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/windowmanagement ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kdcop ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kdcop ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kdebugdialog ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kdebugdialog ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kfind ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kfind ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kicker ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kicker ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/cdinfo ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/cdinfo ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/devices ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/devices ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/dma ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/dma ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/interrupts ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/interrupts ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/ioports ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/ioports ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/memory ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/memory ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/nics ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/nics ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/opengl ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/opengl ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/partitions ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/partitions ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/pci ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/pci ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/pcmcia ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/pcmcia ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/processor ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/processor ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/protocols ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/protocols ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/samba ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/samba ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/scsi ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/scsi ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/sound ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/sound ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/usb ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/usb ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/xserver ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kinfocenter/xserver ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kioslave ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kioslave ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/klipper ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/klipper ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kmenuedit ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kmenuedit ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/knetattach ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/knetattach ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kompmgr ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kompmgr ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/konqueror ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/konqueror ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/konsole ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/konsole ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kpager ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kpager ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/ksplashml ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/ksplashml ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/ksysguard ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/ksysguard ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kwrite ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kwrite ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kxkb ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kxkb ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeprint ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeprint ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdesu ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdesu ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdm ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdm ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/config ; rm -rf tdm )
( cd usr/share/config ; ln -sf ../../../../etc/trinity/tdm tdm )
( cd usr/lib64/trinity/plugins/integration ; rm -rf libqtkde.so.0 )
( cd usr/lib64/trinity/plugins/integration ; ln -sf libqtkde.so.0.0.0 libqtkde.so.0 )
( cd usr/lib64/trinity/plugins/integration ; rm -rf libqtkde.so )
( cd usr/lib64/trinity/plugins/integration ; ln -sf libqtkde.so.0 libqtkde.so )
( cd usr/lib64 ; rm -rf libkonq.so.4 )
( cd usr/lib64 ; ln -sf libkonq.so.4.2.0 libkonq.so.4 )
( cd usr/lib64 ; rm -rf libkonq.so )
( cd usr/lib64 ; ln -sf libkonq.so.4 libkonq.so )
( cd usr/lib64 ; rm -rf libkfontinst.so.0 )
( cd usr/lib64 ; ln -sf libkfontinst.so.0.0.0 libkfontinst.so.0 )
( cd usr/lib64 ; rm -rf libkfontinst.so )
( cd usr/lib64 ; ln -sf libkfontinst.so.0 libkfontinst.so )
( cd usr/lib64 ; rm -rf libtdecorations.so.1 )
( cd usr/lib64 ; ln -sf libtdecorations.so.1.0.0 libtdecorations.so.1 )
( cd usr/lib64 ; rm -rf libtdecorations.so )
( cd usr/lib64 ; ln -sf libtdecorations.so.1 libtdecorations.so )
( cd usr/lib64 ; rm -rf libkateutils.so.0 )
( cd usr/lib64 ; ln -sf libkateutils.so.0.0.0 libkateutils.so.0 )
( cd usr/lib64 ; rm -rf libkateutils.so )
( cd usr/lib64 ; ln -sf libkateutils.so.0 libkateutils.so )
( cd usr/lib64 ; rm -rf libkateinterfaces.so.0 )
( cd usr/lib64 ; ln -sf libkateinterfaces.so.0.0.0 libkateinterfaces.so.0 )
( cd usr/lib64 ; rm -rf libkateinterfaces.so )
( cd usr/lib64 ; ln -sf libkateinterfaces.so.0 libkateinterfaces.so )
( cd usr/lib64 ; rm -rf libkonqsidebarplugin.so.1 )
( cd usr/lib64 ; ln -sf libkonqsidebarplugin.so.1.2.0 libkonqsidebarplugin.so.1 )
( cd usr/lib64 ; rm -rf libkonqsidebarplugin.so )
( cd usr/lib64 ; ln -sf libkonqsidebarplugin.so.1 libkonqsidebarplugin.so )
( cd usr/lib64 ; rm -rf libkickermain.so.1 )
( cd usr/lib64 ; ln -sf libkickermain.so.1.0.0 libkickermain.so.1 )
( cd usr/lib64 ; rm -rf libkickermain.so )
( cd usr/lib64 ; ln -sf libkickermain.so.1 libkickermain.so )
( cd usr/lib64 ; rm -rf libtaskmanager.so.1 )
( cd usr/lib64 ; ln -sf libtaskmanager.so.1.0.0 libtaskmanager.so.1 )
( cd usr/lib64 ; rm -rf libtaskmanager.so )
( cd usr/lib64 ; ln -sf libtaskmanager.so.1 libtaskmanager.so )
( cd usr/lib64 ; rm -rf libtaskbar.so.1 )
( cd usr/lib64 ; ln -sf libtaskbar.so.1.2.0 libtaskbar.so.1 )
( cd usr/lib64 ; rm -rf libtaskbar.so )
( cd usr/lib64 ; ln -sf libtaskbar.so.1 libtaskbar.so )
( cd usr/lib64 ; rm -rf libkickoffsearch_interfaces.so.0 )
( cd usr/lib64 ; ln -sf libkickoffsearch_interfaces.so.0.0.0 libkickoffsearch_interfaces.so.0 )
( cd usr/lib64 ; rm -rf libkickoffsearch_interfaces.so )
( cd usr/lib64 ; ln -sf libkickoffsearch_interfaces.so.0 libkickoffsearch_interfaces.so )
( cd usr/lib64 ; rm -rf libkasbar.so.1 )
( cd usr/lib64 ; ln -sf libkasbar.so.1.0.0 libkasbar.so.1 )
( cd usr/lib64 ; rm -rf libkasbar.so )
( cd usr/lib64 ; ln -sf libkasbar.so.1 libkasbar.so )
( cd usr/lib64 ; rm -rf libksplashthemes.so.0 )
( cd usr/lib64 ; ln -sf libksplashthemes.so.0.0.0 libksplashthemes.so.0 )
( cd usr/lib64 ; rm -rf libksplashthemes.so )
( cd usr/lib64 ; ln -sf libksplashthemes.so.0 libksplashthemes.so )
( cd usr/lib64 ; rm -rf libkhotkeys_shared.so.1 )
( cd usr/lib64 ; ln -sf libkhotkeys_shared.so.1.0.0 libkhotkeys_shared.so.1 )
( cd usr/lib64 ; rm -rf libkhotkeys_shared.so )
( cd usr/lib64 ; ln -sf libkhotkeys_shared.so.1 libkhotkeys_shared.so )
( cd usr/lib64 ; rm -rf libksgrd.so.1 )
( cd usr/lib64 ; ln -sf libksgrd.so.1.2.0 libksgrd.so.1 )
( cd usr/lib64 ; rm -rf libksgrd.so )
( cd usr/lib64 ; ln -sf libksgrd.so.1 libksgrd.so )
